#include<conio.h>
#include<stdio.h>
#include<math.h>

float x,y,k,l,m,n;

void main(void)

{
 clrscr();
 printf("\n Adja meg az intervallum als˘ hat r t!");
 scanf("%f",&k);

 printf("\n Adja meg az intervallum fels‹ hat r t!");
 scanf("%f",&l);

 while(k > l)
 {
 printf("\n A fels‹ hat r nem lehet kisebb mint az als˘ hat r, ez ˇgy nem j˘! Adja meg m‚gegyszer, de figyeljen oda!");
  scanf("%f",&l);
 }

 printf("\n Adja meg az oszt sk”zt!");
 scanf("%f",&m);

 while(m<=0)

 {
 printf("\n Az oszt sk”z”k sz ma nem lehet negatˇv sz m, vagy 0! Adja meg Łjb˘l, de helyesen  m!");
 scanf("%f",&m);
 }

 n=(l-k)/m;

 for(x=k; x<l; x+=n)
 {

  printf("x:%f",x);
  if ((x*x==0.02)||(cos(pow(x,3))/(pow(x,2)-0.02)<0))
   {
    printf("\tY: Nem ‚rtelmezhet‹!\n");
   }

  else
  {
   y=sqrt(cos(pow(x,3))/(pow(x,2)-0.02));
  printf("\tY: %f\n",y);
  }
 }
getch();
}

